Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 277388 - media-video/vlc-1.0.0 fails with Shine. shine.c: No such file or directory
Summary: media-video/vlc-1.0.0 fails with Shine. shine.c: No such file or directory
Status: RESOLVED UPSTREAM
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-11 06:12 UTC by Christopher Hogan
Modified: 2009-07-14 14:54 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Hogan 2009-07-11 06:12:41 UTC
I thought I'd try out some of the new USE flags with VLC-1.0.0. VLC fails to build with Shine turned on.

vlc-1.0.0/modules/codec/shine/shine_mod.c includes "shine.c". However, shine.c doesn't exist. I couldn't find it in the tarball either.

Making all in shine                                                                                                   
make[5]: Entering directory `/var/tmp/portage/media-video/vlc-1.0.0/work/vlc-1.0.0/modules/codec/shine'               
make  all-am                                                                                                          
make[6]: Entering directory `/var/tmp/portage/media-video/vlc-1.0.0/work/vlc-1.0.0/modules/codec/shine'               
/bin/sh ../../../libtool --tag=CC   --mode=compile i686-pc-linux-gnu-gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../..   -I../../../include -I../../../include  -DSYS_LINUX `top_srcdir="../../.." top_builddir="../../.." ../../../vlc-config --cflags plugin libshine_plugin_la-shine_mod.lo` -march=athlon-xp -pipe -fomit-frame-pointer -O2 -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wvolatile-register-var -Werror-implicit-function-declaration -MT libshine_plugin_la-shine_mod.lo -MD -MP -MF .deps/libshine_plugin_la-shine_mod.Tpo -c -o libshine_plugin_la-shine_mod.lo `test -f 'shine_mod.c' || echo './'`shine_mod.c                   
libtool: compile:  i686-pc-linux-gnu-gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../../.. -I../../../include -I../../../include -DSYS_LINUX -D_FILE_OFFSET_BITS=64 -D__USE_UNIX98 -D_LARGEFILE64_SOURCE -D_REENTRANT -D_THREAD_SAFE -D__LIBVLC__ -D__PLUGIN__ -DMODULE_NAME=shine -DMODULE_NAME_IS_shine -DMODULE_STRING=\"shine\" -O0 -march=athlon-xp -pipe -fomit-frame-pointer -O2 -Wall -Wextra -Wsign-compare -Wundef -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Wmissing-prototypes -Wvolatile-register-var -Werror-implicit-function-declaration -MT libshine_plugin_la-shine_mod.lo -MD -MP -MF .deps/libshine_plugin_la-shine_mod.Tpo -c shine_mod.c  -fPIC -DPIC -o .libs/libshine_plugin_la-shine_mod.o 
In file included from ../../../include/vlc_common.h:496,                                                              
                 from shine_mod.c:30:                                                                                 
../../../include/vlc_mtime.h:80: warning: ‘error’ attribute directive ignored                                         
../../../include/vlc_mtime.h:90: warning: ‘warning’ attribute directive ignored                                       
../../../include/vlc_mtime.h:108: warning: ‘error’ attribute directive ignored                                        
shine_mod.c:45:19: error: shine.c: No such file or directory                                                          
shine_mod.c: In function ‘OpenEncoder’:                                                                               
shine_mod.c:109: error: implicit declaration of function ‘init_mp3_encoder_engine’                                    
shine_mod.c: In function ‘GetPCM’:                                                                                    
shine_mod.c:127: error: ‘pcm_chunk_size’ undeclared (first use in this function)                                      
shine_mod.c:127: error: (Each undeclared identifier is reported only once                                             
shine_mod.c:127: error: for each function it appears in.)                                                             
shine_mod.c: In function ‘EncodeFrame’:                                                                               
shine_mod.c:200: error: dereferencing pointer to incomplete type                                                      
shine_mod.c:200: error: implicit declaration of function ‘ENC_CHUNK_SKIP_HDR’                                         
shine_mod.c:200: error: dereferencing pointer to incomplete type                                                      
shine_mod.c:202: error: implicit declaration of function ‘encode_frame’                                               
shine_mod.c:205: error: dereferencing pointer to incomplete type                                                      
shine_mod.c:209: error: dereferencing pointer to incomplete type                                                      
shine_mod.c:209: error: dereferencing pointer to incomplete type                                                      
shine_mod.c:212: error: ‘SAMP_PER_FRAME1’ undeclared (first use in this function)                                     
shine_mod.c:184: warning: unused variable ‘p_sys’                                                                     
make[6]: *** [libshine_plugin_la-shine_mod.lo] Error 1                                                                
make[6]: Leaving directory `/var/tmp/portage/media-video/vlc-1.0.0/work/vlc-1.0.0/modules/codec/shine'                
make[5]: *** [all] Error 2                                                                                            
make[5]: Leaving directory `/var/tmp/portage/media-video/vlc-1.0.0/work/vlc-1.0.0/modules/codec/shine'                
make[4]: *** [all-recursive] Error 1                                                                 

Reproducible: Always

Steps to Reproduce:
1.Emerge vlc 1.0.0 with shine use flag
2.build fails
3.

Actual Results:  
build fails

Expected Results:  
build succeeds

emerge --info  
Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.29-gentoo-r5 i686)
=================================================================                                            
System uname: Linux-2.6.29-gentoo-r5-i686-AMD_Athlon-tm-_XP_3200+-with-glibc2.0                              
Timestamp of tree: Thu, 09 Jul 2009 08:00:03 +0000                                                           
distcc 3.1 i686-pc-linux-gnu [disabled]                                                                      
app-shells/bash:     3.2_p39                                                                                 
dev-java/java-config: 1.3.7, 2.1.7                                                                           
dev-lang/python:     2.5.4-r3                                                                                
dev-python/pycrypto: 2.0.1-r6                                                                                
dev-util/cmake:      2.6.4                                                                                   
sys-apps/baselayout: 2.0.1                                                                                   
sys-apps/openrc:     0.4.3-r3                                                                                
sys-apps/sandbox:    1.6-r2                                                                                  
sys-devel/autoconf:  2.13, 2.63                                                                              
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                
sys-devel/binutils:  2.18-r3                                                                                 
sys-devel/gcc-config: 1.4.1                                                                                  
sys-devel/libtool:   2.2.6a                                                                                  
virtual/os-headers:  2.6.29                                                                                  
ACCEPT_KEYWORDS="x86"                                                                                        
CBUILD="i686-pc-linux-gnu"                                                                                   
CFLAGS="-march=athlon-xp -pipe -fomit-frame-pointer -fforce-addr -O2"                                        
CHOST="i686-pc-linux-gnu"                                                                                    
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/config"                                                                                                     
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"                                                                      
CXXFLAGS="-march=athlon-xp -pipe -fomit-frame-pointer -fforce-addr -O2"                                               
DISTDIR="/usr/portage/distfiles"                                                                                      
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"        
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo ftp://chod.cwru.edu/gentoo ftp://gentoo.chem.wisc.edu/gentoo/ http://mirror.uni-c.dk/gentoo/"                                                                                             
LANG="en_US.utf8"                                                                                                     
LDFLAGS="-Wl,-O1"                                                                                                     
LINGUAS="en en_US"                                                                                                    
MAKEOPTS="-j2"                                                                                                        
PKGDIR="/usr/portage/packages"                                                                                        
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/mnt/net/overlay/hoganskeep /mnt/net/overlay/layman/sunrise /mnt/net/overlay/layman/science"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex 3dnowext X Xaw3d a52 aac accessibility acl acpi adns alsa aotuv asf audiofile avahi bash-completion berkdb branding browserplugin bzip2 cairo canvas caps cddax cddb cdinstall cdparanoia cdr cli cracklib crypt css cups curl dbus dc1394 divx4linux dlloader doc dri dts dv dvb dvd dvdr dvdread edl eds emboss encode esd evo examples exif fam fame ffmpeg firefox flac font-server fortran gcj gdbm gif gimp glade glibc-omitfp glitz gnome gnutls google-gadgets gphoto2 gpm gstreamer gtk h323 hal howl hpn htmlhandbook iconv id3tag ieee1394 imagemagick innodb ipod ipv6 isdnlog jabber jack java joystick jpeg jpeg2k kde kerberos kipi lcms ldap libclamav libgcrypt libnotify libsysfs libtiger libvisual lirc live lm_sensors logitech-mouse lzo mad matroska midi mikmod mjpeg mmap mmx mmxext mng mozdevelop mozilla mozsvg mozxmlterm mp3 mp4 mpeg mpi mplayer mudflap musicbrainz mysql mythtv ncurses network new-login nfs nls nptl nptlonly nsplugin nvidia oav objc odbc offensive ogg on-the-fly-crypt openal opengl openmp pam pccts pcre pda pdf perl phonon pic pie png ppds pppd pulseaudio python qt3 qt3support qt4 quicktime quotas readline reflection rss rtc samba sasl scanner schroedinger sdl semantic-desktop session shine sip slp sndfile sox speedx speex spell spl sqlite sqlite3 sse ssl startup-notification subversion svg sysfs syslog taglib tcl tcltk tcpd teletext tga theora threads thumbnail tiff timidity tk toolbar transcode truetype truetype-fonts type1-fonts unicode usb userlocales v4l v4l2 vcd vidix vnc vorbis wav wavpack webkit win32codecs wma-fixed wmf x264 x86 xanim xattr xcb xcomposite xine xinerama xinetd xml xorg xosd xscreensaver xulrunner xv xvid xvmc yv12 zlib zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" LIRC_DEVICES="atiusb devinput" USERLAND="GNU" VIDEO_CARDS="radeon vesa fbdev v4l"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Robert Golding 2009-07-12 09:28:17 UTC
Ditto here. The error message reads exactly the same.

My vlc use flags:
media-video/vlc X a52 aac aalib alsa bidi cdda cddb cdio dbus directfb dvb dvd fbcon ffmpeg flac fontconfig gcrypt gnome gnutls hal httpd id3tag libgcrypt libnotify libproxy libsysfs live matroska mmx mp3 mpeg mtp musepack ncurses nsplugin ogg opengl optimisememory oss png qt4 sdl sdl-image skins sse stream svg svga theora truetype upnp v4l v4l2 vcdinfo vcdx vlm vorbis win32codecs wma-fixed X x264 xinerama xml xosd xv -altivec -atmo -avahi -cddax -dc1394 -debug -dirac -dts -fluidsynth -ggi -ieee1394 -jack -kate -libass -libcaca -libtiger -libv4l2 -lirc -lua -modplug -pda -pulseaudio -pvr -remoteosd -rtsp -run-as-root -samba -schroedinger -seamonkey -shine -shout -speex -taglib -twolame -xcb -zvbi

emerge --info:
one rob # emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r2 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r2-i686-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-glibc2.0
Timestamp of tree: Sun, 12 Jul 2009 03:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -falign-functions=64"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -falign-functions=64"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="en_AU.UTF-8"
LC_ALL="en_AU.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_AU"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/voyageur /usr/portage/local/layman/sunrise /usr/portage/local/layman/desktop-effects /usr/portage/local/robert /usr/portage/local/layman/lordvan"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl acpi additions aften aim akamaru alsa asf audacious audiofile auto-completion automount avi bash-completion bashlogger berkdb bitmap-fonts bittorrent bluetooth bonobo branding browserplugin bzip2 bzlib cairo cdparanoia cdr cli corba cracklib crypt cups dbus dca directfb directv disk-partition dlloader dri dv dvd dvdr dvdread eds elf emboss encode epson esd evdev fam fbcon ffmpeg firefox flac fontconfig fortran freetype games gdbm gif gimp glitz gnome gphoto2 gpm grub gstreamer gtk gtk2 hal iconv icq imlib imlib2 inotify ipfilter iproute2 isdnlog java javascript jpeg kernel-linux ldap libg++ lm_sensors mad midi mikmod mjpeg mmx mmxext mp3 mpeg mpg mplayer mudflap ncurses nls nptl nptlonly nsplugin nvidia offensive ogg opengl openmp oss pam pcre pdf pdflib perl png ppds pppd print python qt3support qt4 quicktime readline reflection remote sane scanner sdl session smp spell spl sse ssl svg svga sysfs tcpd tga tiff totem truetype truetype-fonts type1-fonts udev unicode usb v4l v4l2 vcd vorbis win32codecs wmf wmv x86 xine xml xorg xsane xulrunner xv xvid zlib" ALSA_CARDS="hda-intel hda-nvidia ca0106 emu10k1 emu10k1x creative Audigy SB" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_AU" LIRC_DEVICES="usb" SANE_BACKENDS="net hp canon canon630u" USERLAND="GNU" VIDEO_CARDS="nvidia nv v4l vesa fbdev"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 2 Marc O'Connor 2009-07-13 13:36:23 UTC
happens with media-video/vkc-9999 as well. Setting -shine is the only work around. 
Comment 3 Alexis Ballier gentoo-dev 2009-07-14 14:54:16 UTC
i've masked the useflag for 1.0.0, it should be fixed in next release
thanks for the report